//
// Copyright (c) 2001, Junzo SATO. All rights reserverd.
//
package MathSocketTerminal;

import java.awt.*;
import java.awt.event.*;

// TCP/IP Connection
import java.io.*;
import java.net.*;
import java.util.*;

public class MathSocketSenderThread extends Thread {
	OutputStream outStream = null;
	String requestMessage = "";
	boolean hasRequest = false;

	public MathSocketSenderThread(Socket clientSocket) {
		try {
			// output stream for request to the remote server
			outStream = clientSocket.getOutputStream();
		} catch (IOException e1) {
			return;
		}
		
		start();
	}
	
	public void sendRequest(String request) {
		requestMessage = request;
		hasRequest = true;
	}
	
	public void run() {
		while (true) {
			if (hasRequest == false) continue;
			
			// put the request message to the output stream
			try {		
				// terminate the string with return code.
				requestMessage = new String(requestMessage + "\r\n");// LFCR
				outStream.write(requestMessage.getBytes());
				outStream.flush();
				requestMessage = "";
				hasRequest = false;
			} catch (IOException e) {
				
			}
			
			try {
				Thread.sleep(1);
			} catch (InterruptedException e1) {
			
			}
		}
	}
}